OGRE: Ogre::HighLevelGpuProgramFactory Class Reference - OGRE Documentation

# Ogre::HighLevelGpuProgramFactory Class Reference

Interface definition for factories of HighLevelGpuProgram. More...

`#include <OgreHighLevelGpuProgramManager.h>`

Inheritance diagram for Ogre::HighLevelGpuProgramFactory:

[legend]

List of all members.

## Public Member Functions
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()
virtual const String & | getLanguage (void) const =0
| Get the name of the language this factory creates programs for.
virtual HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)=0
virtual void | destroy (HighLevelGpuProgram *prog)=0
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

Interface definition for factories of HighLevelGpuProgram.

Definition at line 41 of file OgreHighLevelGpuProgramManager.h.

## Constructor & Destructor Documentation

Ogre::HighLevelGpuProgramFactory::HighLevelGpuProgramFactory | ( |  | ) |

Definition at line 44 of file OgreHighLevelGpuProgramManager.h.

virtual Ogre::HighLevelGpuProgramFactory::~HighLevelGpuProgramFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const String& Ogre::HighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const`[pure virtual]`

Get the name of the language this factory creates programs for.

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory.

virtual HighLevelGpuProgram* Ogre::HighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader |
| ) |  |  | `[pure virtual]`

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory.

virtual void Ogre::HighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[pure virtual]`

Implemented in Ogre::UnifiedHighLevelGpuProgramFactory.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreHighLevelGpuProgramManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:33:34 2009